<?php
/**
*
* postnotices to groups page listing all groups that have received notice of a post
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup(array('mods/postnotices', 'posting'));

//
// Check and set various parameters (note that if the post is global then $forum_id
// will be the forum_id of the forum where the user was rather than the real forum_id of 0)
//

$post_id	= request_var('p', 0);

// give an error if no post or forum specified
if (!$post_id)
{
	trigger_error('NO_POST');
}

// look up the post so we can do some auth checking and also find out poster_id in case user posts in original poster's name
$sql = 'SELECT postnotices, forum_id
	FROM ' . POSTS_TABLE . '
	WHERE post_id = ' . $post_id;
$result = $db->sql_query_limit($sql, 1);
if (!$row = $db->sql_fetchrow($result))
{
	trigger_error('NO_POST');
}
$db->sql_freeresult($result);

$forum_id = $row['forum_id'];
// give an error if user is not authroized to send postnotices
if (!$auth->acl_get('f_postnotices', $forum_id))
{
	trigger_error('NO_POST');
}

// ready to look up group names, but hide any groups this user is not allowed to know about
// first, figure out what groups should be listed (any groups the user is allowed to know about)
if ($auth->acl_gets('a_group', 'a_groupadd', 'a_groupdel'))
{
	$sql = 'SELECT group_name
		FROM ' . GROUPS_TABLE . '
		WHERE group_id IN (' . $row['postnotices'] . ')
		ORDER BY group_name';
}
else
{
	$sql = 'SELECT DISTINCT g.group_name
		FROM ' . GROUPS_TABLE . ' g, ' . USER_GROUP_TABLE . ' ug
		WHERE g.group_id IN (' . $row['postnotices'] . ')
		AND
		(
			g.group_type <> ' . GROUP_HIDDEN . '
			OR
			(
				g.group_id = ug.group_id
				AND ug.user_id = ' . $user->data['user_id'] . '
				AND ug.user_pending = 0
			)
		)
		ORDER BY g.group_name';
}
$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
	$template->assign_block_vars('postnoticeslistrow', array(
	'GROUP_NAME'		=> $row['group_name'],
	));
}
$db->sql_freeresult($result);

// Output the page
page_header($user->lang['POSTNOTICES_RECIPIENT_LIST']);

$template->set_filenames(array(
	'body' => 'postnotices_recipients.html')
);

make_jumpbox(append_sid("{$phpbb_root_path}viewforum.$phpEx"), $forum_id);

page_footer();

?>